CON
  _clkmode      = xtal1 + pll16x                        ' use crystal x 16
  _xinfreq      = 5_000_000
   
OBJ
  tch:           "Touch"                                 ' touchscreen driver

PUB Main | touchtest  ' debug value
  tch.BeginProgram                                          
  LoremPortLand
  tch.SetWarmBoot                                           ' clears screen, sets a warm boot and reboots

PUB LoremPortLand
    tch.SetOrientation(false)
    Lorem
    tch.SetOrientation(true)
    Lorem


PUB Lorem | pointer,c,block,f,b
     tch.ClearRam
     tch.SDtoRam(string("Lorem2.txt"))                  ' file 2, Ramsize[2] is in words, not bytes                                 
     tch.SetCursor(0,0)                                 ' sets curx to  zero and cury to zero
     f := tch.Loadfont(string("Times20.ifn"))                'load font , file 2
     tch.Clearscreen($FFFF)                           ' clear the screen to white
     tch.setcurx(4)                                     ' some letters have an xoffset of -1 and so won't display
     b := tch.FetchRamBuffer                            ' location of the text
     repeat block from 0 to 0                           ' block is 128 words = 256 bytes
       tch.RamToHub(tch.GetRamlocation(2)+(block<<7),256)      ' read text into rambuffer at the ram location file 1
       pointer :=0
       repeat 256
          c := byte[b][pointer]
         if c=< 126
           tch.setcurx(tch.TextChar(f,c,tch.getcurx,tch.getcury))  ' only print if a valid ascii character
         pointer ++
     tch.pause1ms(2000)