CON
  _clkmode      = xtal1 + pll16x                        ' use crystal x 16
  _xinfreq      = 5_000_000
   
OBJ
  tch:           "Touch"                                 ' touchscreen driver

PUB Main | touchtest  ' debug value
  tch.BeginProgram                                          
  PhotoAlbum
  tch.SetWarmBoot                                           ' clears screen, sets a warm boot and reboots

PUB PhotoAlbum | picturenumber
   tch.Clearscreen(%00000000_00000000)                  ' clear the screen
   tch.SetCursor(0,0)
   tch.Text(string("Please wait 8s"))
   tch.ClearRam
   'tch.SDBMPtoRam(string("cat.bmp"))                    ' file 2
   'tch.SDBMPtoRam(string("wallaby.bmp"))                ' file 3
   'tch.SDBMPtoRam(string("kluger.bmp"))                 ' file 4
   'tch.SDBMPtoRam(string("elle.bmp"))                   ' file 5
   'tch.SDBMPtoRam(string("balln.bmp"))                  ' file 6
   tch.SDBMPtoRam(string("slide1.bmp"))                    ' file 2
   tch.SDBMPtoRam(string("slide2.bmp"))                ' file 3
   tch.SDBMPtoRam(string("slide3.bmp"))                 ' file 4
   tch.SDBMPtoRam(string("slide4.bmp"))                   ' file 5
   tch.SDBMPtoRam(string("slide5.bmp"))                  ' file 6
   picturenumber := 2
   repeat until picturenumber > 6
     'if picturenumber ==2
     '   tch.SetOrientation(false)                       ' draw a landscape picture
     '   tch.DrawBMPRam(2,0,0)                             ' draw picture 2 
     '   tch.SetOrientation(true)
     'else
        tch.DrawBMPRam(Picturenumber,0,0)               ' draw the picture
     result := tch.TouchSwishY                          ' swish left to right or up to down depending on orientation
     if result > 0
       picturenumber --
     else
       picturenumber ++
   tch.Clearscreen(%00000000_00000000)
   tch.pause1ms(1000) ' otherwise still touching the screen
      